// Config.cpp : implementation file
//

#include "stdafx.h"
#include "Monitor2.h"
#include "Config.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfig dialog


CConfig::CConfig(CWnd* pParent /*=NULL*/)
	: CDialog(CConfig::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfig)
	m_dSleepTime = 0;
	m_csImage = _T("");
	m_iLineCnt = 0;
	m_iPgCnt = 0;
	//}}AFX_DATA_INIT
}


void CConfig::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfig)
	DDX_Text(pDX, IDC_SLEEP_TIME, m_dSleepTime);
	DDV_MinMaxDWord(pDX, m_dSleepTime, 0, 120000);
	DDX_Text(pDX, IDC_IMAGE, m_csImage);
	DDX_Text(pDX, IDC_LINE_CNT, m_iLineCnt);
	DDX_Text(pDX, IDC_PAGE_CNT, m_iPgCnt);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfig, CDialog)
	//{{AFX_MSG_MAP(CConfig)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfig message handlers
